Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tree: dd9b3fafc0
Fetching contributors…

Cannot retrieve contributors at this time

189 lines (169 sloc) 5.36 kb
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<parent>
<groupId>org.cytoscape</groupId>
<artifactId>parent</artifactId>
<version>3.0.0-alpha8-SNAPSHOT</version>
</parent>
<properties>
<bundle.symbolicName>org.cytoscape.blueprints.graphdb</bundle.symbolicName>
<bundle.namespace>org.cytoscape.blueprints</bundle.namespace>
<bundle.version>0.0.1-SNAPSHOT</bundle.version>
<blueprints.version>0.9</blueprints.version>
</properties>
<modelVersion>4.0.0</modelVersion>
<artifactId>graphdb-plugin</artifactId>
<version>${bundle.version}</version>
<url>http://www.cytoscape.org/</url>
<name>${bundle.symbolicName} ${bundle.version}</name>
<packaging>bundle</packaging>
<description>Cytoscape 3 Plugin for mounting/manipulating Graph DB through Blueprints API</description>
<contributors>
<contributor>
<name>Keiichiro Ono</name>
<url>http://www.keiono.net/</url>
</contributor>
</contributors>
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jar-plugin</artifactId>
<version>${maven-jar-plugin.version}</version>
<executions>
<execution>
<goals>
<goal>test-jar</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-surefire-plugin</artifactId>
<version>${maven-surefire-plugin.version}</version>
<configuration>
<redirectTestOutputToFile>true</redirectTestOutputToFile>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.felix</groupId>
<artifactId>maven-bundle-plugin</artifactId>
<version>${maven-bundle-plugin.version}</version>
<extensions>true</extensions>
<configuration>
<instructions>
<Bundle-SymbolicName>${bundle.symbolicName}</Bundle-SymbolicName>
<Bundle-Version>${pom.version}</Bundle-Version>
<_include>-osgi.bnd</_include>
</instructions>
</configuration>
</plugin>
</plugins>
</build>
<repositories>
<!-- bootstrap for cytoscape dependencies, namely the parent POM snapshots -->
<repository>
<id>cytoscape_snapshots</id>
<snapshots>
<enabled>true</enabled>
</snapshots>
<releases>
<enabled>false</enabled>
</releases>
<name>Cytoscape Snapshots</name>
<url>http://cytoscape.wodaklab.org/nexus/content/repositories/snapshots/</url>
</repository>
<!-- bootstrap for cytoscape dependencies, namely the parent POM releases -->
<repository>
<id>cytoscape_releases</id>
<snapshots>
<enabled>false</enabled>
</snapshots>
<releases>
<enabled>true</enabled>
</releases>
<name>Cytoscape Releases</name>
<url>http://cytoscape.wodaklab.org/nexus/content/repositories/releases/</url>
</repository>
</repositories>
<!-- Dependencies included here should *ONLY* be for the impl bundle. All
additional dependencies necessary for the integration tests (it) should be
kept in the it/pom.xml -->
<dependencies>
<dependency>
<groupId>org.cytoscape</groupId>
<artifactId>property-api</artifactId>
<version>3.0.0-alpha6-SNAPSHOT</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.cytoscape</groupId>
<artifactId>work-api</artifactId>
<version>3.0.0-alpha6-SNAPSHOT</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.cytoscape</groupId>
<artifactId>application-api</artifactId>
<version>3.0.0-alpha6-SNAPSHOT</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.cytoscape.wrappers</groupId>
<artifactId>tinkerpop-blueprints-core</artifactId>
<version>${blueprints.version}</version>
</dependency>
<dependency>
<groupId>org.cytoscape.wrappers</groupId>
<artifactId>tinkerpop-blueprints-neo4j-graph</artifactId>
<version>${blueprints.version}</version>
</dependency>
<dependency>
<groupId>org.cytoscape.wrappers</groupId>
<artifactId>tinkerpop-blueprints-sail-graph</artifactId>
<version>${blueprints.version}</version>
</dependency>
<!-- OpenRDF dependency -->
<dependency>
<groupId>org.cytoscape.wrappers</groupId>
<artifactId>openrdf-sesame-all</artifactId>
<version>2.4.2</version>
</dependency>
<!-- Neo4j Implementations (these are OSGi bundles) -->
<dependency>
<groupId>org.neo4j</groupId>
<artifactId>neo4j</artifactId>
<version>1.4.1</version>
<type>pom</type>
</dependency>
<dependency>
<groupId>org.neo4j</groupId>
<artifactId>neo4j-ha</artifactId>
<version>1.3</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
<version>1.6.1</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>1.6.1</version>
</dependency>
<!-- For Testing -->
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.8.2</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-all</artifactId>
<version>1.8.5</version>
<scope>test</scope>
</dependency>
</dependencies>
</project>
Jump to Line
Something went wrong with that request. Please try again.